QJournalProtocolServerSideTranslatorPB (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.qjournal.protocolPB, class: QJournalProtocolServerSideTranslatorPB

Package org.apache.hadoop.hdfs.qjournal.protocolPB

# Class QJournalProtocolServerSideTranslatorPB

java.lang.Object
org.apache.hadoop.hdfs.qjournal.protocolPB.QJournalProtocolServerSideTranslatorPB

All Implemented Interfaces:
  `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`, `QJournalProtocolPB`

@Private public class QJournalProtocolServerSideTranslatorPB extends Object implements QJournalProtocolPB
Implementation for protobuf service that forwards requests received on `JournalProtocolPB` to the `JournalProtocol` server implementation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QJournalProtocolServerSideTranslatorPB(QJournalProtocol impl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QJournalProtocolProtos.AcceptRecoveryResponseProto`
  `acceptRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.AcceptRecoveryRequestProto request)`
  `QJournalProtocolProtos.CanRollBackResponseProto`
  `canRollBack(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.CanRollBackRequestProto request)`
  `QJournalProtocolProtos.DiscardSegmentsResponseProto`
  `discardSegments(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DiscardSegmentsRequestProto request)`
  `QJournalProtocolProtos.DoFinalizeResponseProto`
  `doFinalize(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoFinalizeRequestProto request)`
  `QJournalProtocolProtos.DoPreUpgradeResponseProto`
  `doPreUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoPreUpgradeRequestProto request)`
  `QJournalProtocolProtos.DoRollbackResponseProto`
  `doRollback(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoRollbackRequestProto request)`
  `QJournalProtocolProtos.DoUpgradeResponseProto`
  `doUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoUpgradeRequestProto request)`
  `QJournalProtocolProtos.FinalizeLogSegmentResponseProto`
  `finalizeLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FinalizeLogSegmentRequestProto req)`
  `QJournalProtocolProtos.FormatResponseProto`
  `format(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FormatRequestProto request)`
  `QJournalProtocolProtos.GetEditLogManifestResponseProto`
  `getEditLogManifest(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetEditLogManifestRequestProto request)`
  `QJournalProtocolProtos.GetJournalCTimeResponseProto`
  `getJournalCTime(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalCTimeRequestProto request)`
  `QJournalProtocolProtos.GetJournaledEditsResponseProto`
  `getJournaledEdits(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournaledEditsRequestProto request)`
  `QJournalProtocolProtos.GetJournalStateResponseProto`
  `getJournalState(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalStateRequestProto request)`
  `QJournalProtocolProtos.HeartbeatResponseProto`
  `heartbeat(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.HeartbeatRequestProto req)`
  `QJournalProtocolProtos.IsFormattedResponseProto`
  `isFormatted(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.IsFormattedRequestProto request)`
  `QJournalProtocolProtos.JournalResponseProto`
  `journal(org.apache.hadoop.thirdparty.protobuf.RpcController unused, QJournalProtocolProtos.JournalRequestProto req)`
  `QJournalProtocolProtos.NewEpochResponseProto`
  `newEpoch(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.NewEpochRequestProto request)`
  `QJournalProtocolProtos.PrepareRecoveryResponseProto`
  `prepareRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PrepareRecoveryRequestProto request)`
  `QJournalProtocolProtos.PurgeLogsResponseProto`
  `purgeLogs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PurgeLogsRequestProto req)`
  `QJournalProtocolProtos.StartLogSegmentResponseProto`
  `startLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.StartLogSegmentRequestProto req)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QJournalProtocolServerSideTranslatorPB

    public QJournalProtocolServerSideTranslatorPB(QJournalProtocol impl)

- ## Method Details

  - ### isFormatted

    public QJournalProtocolProtos.IsFormattedResponseProto isFormatted(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.IsFormattedRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `isFormatted` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getJournalState

    public QJournalProtocolProtos.GetJournalStateResponseProto getJournalState(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalStateRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getJournalState` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### newEpoch

    public QJournalProtocolProtos.NewEpochResponseProto newEpoch(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.NewEpochRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `newEpoch` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### format

    public QJournalProtocolProtos.FormatResponseProto format(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FormatRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `format` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### journal

    public QJournalProtocolProtos.JournalResponseProto journal(org.apache.hadoop.thirdparty.protobuf.RpcController unused, QJournalProtocolProtos.JournalRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `journal` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`
    See Also:
      - `JournalProtocol.journal(org.apache.hadoop.hdfs.server.protocol.JournalInfo, long, long, int, byte[])`

  - ### heartbeat

    public QJournalProtocolProtos.HeartbeatResponseProto heartbeat(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.HeartbeatRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `heartbeat` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`
    See Also:
      - `QJournalProtocol.heartbeat(org.apache.hadoop.hdfs.qjournal.protocol.RequestInfo)`

  - ### startLogSegment

    public QJournalProtocolProtos.StartLogSegmentResponseProto startLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.StartLogSegmentRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `startLogSegment` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`
    See Also:
      - `JournalProtocol.startLogSegment(org.apache.hadoop.hdfs.server.protocol.JournalInfo, long, long)`

  - ### finalizeLogSegment

    public QJournalProtocolProtos.FinalizeLogSegmentResponseProto finalizeLogSegment(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.FinalizeLogSegmentRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `finalizeLogSegment` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### purgeLogs

    public QJournalProtocolProtos.PurgeLogsResponseProto purgeLogs(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PurgeLogsRequestProto req) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `purgeLogs` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getEditLogManifest

    public QJournalProtocolProtos.GetEditLogManifestResponseProto getEditLogManifest(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetEditLogManifestRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getEditLogManifest` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getJournaledEdits

    public QJournalProtocolProtos.GetJournaledEditsResponseProto getJournaledEdits(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournaledEditsRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getJournaledEdits` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### prepareRecovery

    public QJournalProtocolProtos.PrepareRecoveryResponseProto prepareRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.PrepareRecoveryRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `prepareRecovery` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### acceptRecovery

    public QJournalProtocolProtos.AcceptRecoveryResponseProto acceptRecovery(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.AcceptRecoveryRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `acceptRecovery` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### doPreUpgrade

    public QJournalProtocolProtos.DoPreUpgradeResponseProto doPreUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoPreUpgradeRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `doPreUpgrade` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### doUpgrade

    public QJournalProtocolProtos.DoUpgradeResponseProto doUpgrade(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoUpgradeRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `doUpgrade` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### doFinalize

    public QJournalProtocolProtos.DoFinalizeResponseProto doFinalize(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoFinalizeRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `doFinalize` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### canRollBack

    public QJournalProtocolProtos.CanRollBackResponseProto canRollBack(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.CanRollBackRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `canRollBack` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### doRollback

    public QJournalProtocolProtos.DoRollbackResponseProto doRollback(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DoRollbackRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `doRollback` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### discardSegments

    public QJournalProtocolProtos.DiscardSegmentsResponseProto discardSegments(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.DiscardSegmentsRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `discardSegments` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`

  - ### getJournalCTime

    public QJournalProtocolProtos.GetJournalCTimeResponseProto getJournalCTime(org.apache.hadoop.thirdparty.protobuf.RpcController controller, QJournalProtocolProtos.GetJournalCTimeRequestProto request) throws org.apache.hadoop.thirdparty.protobuf.ServiceException
    Specified by:
      `getJournalCTime` in interface `QJournalProtocolProtos.QJournalProtocolService.BlockingInterface`
    Throws:
      `org.apache.hadoop.thirdparty.protobuf.ServiceException`